Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/installments?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "ba82c2dd-06c1-4b6c-bc59-a9c00801c842",
            "amount": 1500000,
            "category": null,
            "createdAt": 1768375011056,
            "description": "Cicil Produk Kelas Online 3 Bulan",
            "link": "mkcn4u72ki",
            "type": "installment",
            "status": "unpaid",
            "name": "Budi Santoso",
            "limit": null,
            "redirectUrl": null,
            "installmentId": "8f722421-e8fd-4d05-ae0c-5f4a224b7923",
            "event": null,
            "order": null,
            "coverImage": null,
            "multipleImage": [],
            "transactions": []
        }
    ],
    "hasMore": false,
    "nextStartingAfter": null
}
Endpoint:
https://api.mayar.id/hl/v2/installments?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

status
string
Filter the list by installment status (e.g. unpaid, active).
customerId
string
Filter installments by a specific customer ID.
limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of installments. Each item is an installment-type payment-link object.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string<uuid>
Unique ID of the installment.
amount
integer
Total installment amount.
category
string | null
Item category (if any).
createdAt
number (timestamp)
Creation time in epoch format (ms).
description
string
Installment description.
Unique link slug.
type
string
Item type. Always installment for this list.
status
string
Installment status (example: unpaid).
name
string
Name associated with the installment.
limit
integer | null
Stock/quantity limit (if any).
redirectUrl
string | null
Redirect URL after payment (if any).
installmentId
string<uuid>
Associated installment record ID.
event
object | null
Event details (not applicable to installments).
order
object | null
Order/shipping details (if any).
coverImage
object | null
Cover image details (if any).
multipleImage
array of object
Additional images (if any).
transactions
array of object
Related transactions (if any).